Subject: bug#71448: closed (Re: bug#71448: 30.0.50; list-packages and eww fail to download from internet)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 09 Jun 2024 09:41:02 +0000

Your bug report

#71448: 30.0.50; list-packages and eww fail to download from internet

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
71448: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=71448
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#71448: 30.0.50; list-packages and eww fail to download from internet
From: Eli Zaretskii <[email-masked]>
To: Gerard Vermeulen <[email-masked]>
Cc: [email-masked]
Date: Sun, 09 Jun 2024 12:34:04 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Sun, 09 Jun 2024 09:31:18 +0000
> From: Gerard Vermeulen <[email-masked]>
> Cc: [email-masked]
> 
> 
> 
> On 09.06.2024 11:18, Eli Zaretskii wrote:
> >> Date: Sun, 09 Jun 2024 08:06:49 +0000
> >> From: Gerard Vermeulen <[email-masked]>
> [ ... ]
> >> 
> >> I suspect this issue may be due to a commit after e2527dd9fd3,
> >> because I cannot repair it by trying to revert commit e2527dd9fd3.
> > 
> > Please update from Git and try again, I've just installed a fix that
> > could be relevant.
> 
> This fixes list-packages, eww, and debbugs-gnu.

Thanks, so I'm closing this bug.

Subject: 30.0.50; list-packages and eww fail to download from internet
From: Gerard Vermeulen <[email-masked]>
To: Bug gnu emacs <[email-masked]>
Date: Sun, 09 Jun 2024 08:06:49 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I see in my message buffer after list-packages:

Importing package-keyring.gpg...done
error in process sentinel: Error retrieving: 
https://elpa.nongnu.org/nongnu/archive-contents "incomprehensible 
buffer" [2 times]
error in process sentinel: Error retrieving: 
https://elpa.gnu.org/devel/archive-contents "incomprehensible buffer" [2 
times]
error in process sentinel: Error retrieving: 
https://melpa.org/packages/archive-contents "incomprehensible buffer" [2 
times]
error in process sentinel: Error retrieving: 
https://stable.melpa.org/packages/archive-contents "incomprehensible 
buffer" [2 times]
Package refresh done
error in process sentinel: Error retrieving: 
https://elpa.gnu.org/packages/archive-contents "incomprehensible buffer" 
[2 times]

and after for example M-x eww https://www.masteringemacs.org:

You can run the command ‘eww’ with G
Contacting host: www.masteringemacs.org:443

and eww remains stuck (it does not download the content).

And after M-x debbugs-gnu, the message buffer says:

soap-invoke-internal: No HTTP response from server

I suspect this issue may be due to a commit after e2527dd9fd3,
because I cannot repair it by trying to revert commit e2527dd9fd3.

GNU Emacs 30.0.50 (build 64, x86_64-apple-darwin20.6.0, NS 
appkit-2202.70 Version 11.7.1 (Build 20G918)) of 2024-06-09

Regards -- Gerard